/*******************************************************************************
 * 
 * Copyright (c) 2007 Thomas Holland (thomas@innot.de) and others
 * 
 * This program and the accompanying materials are made
 * available under the terms of the GNU Public License v3
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 * 
 * Contributors:
 *     Thomas Holland - initial API and implementation
 *     
 * $Id: EntryLabelProvider.java 190 2008-02-08 09:15:54Z innot $
 *     
 *******************************************************************************/
package de.innot.avreclipse.ui.views.avrdevice;

import org.eclipse.jface.viewers.BaseLabelProvider;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;

import de.innot.avreclipse.devicedescription.IEntry;

public 	class EntryLabelProvider extends BaseLabelProvider implements ITableLabelProvider {

	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}

	public String getColumnText(Object element, int columnIndex) {
		if (element instanceof IEntry) {
			return ((IEntry)element).getColumnData(columnIndex);
		}
		return null;
	}

}
